Technical FAQs

Ask a Question

Which firmware version supports functionality of the PM8 Ethernet Communication Card (PM8ECC) with the Series 800 Power Meter (PM8)?

Issue
Which firmware version supports functionality of the PM8 Ethernet Communication Card (PM8ECC) with the Series 800 Power Meter (PM8)?
 
Product Line
PM800 Series Power Meter, PM8ECC
 
Environment
Mounting PM8ECC on PM800 Series Meter
 
Cause
The PM800 series meters had been out several years before the PM8ECC became available, so the firmware may not be the latest. As a result, PM8ECC will not function correctly.
 
Resolution
The Series 800 Power Meter (PM8) MUST have 10.6 firmware or later in order to support the functionality of the PM8 Ethernet Communication Card (PM8ECC).

To verify the firmware version from the front panel of the meter, follow the steps below.
1. Press MAINT > DIAG > METER.
2. Verify that the number before OS, RESET, and DL is 10.600 or higher.
3. If the meter firmware is not up-to-date, then meter firmware must be updated.

The latest power meter firmware can be found on www.powerlogic.com
Then, select the country >downloads > Series 800 Power Meter Firmware, and then click the firmware file required (Downloading firmware will require a login. If you do not have one, then create one.) One or all three firmwares may need upgrading (OS,RS, or DL).

NOTE: In order to upgrade the firmware, you will need the Download Firmware Upgrade Utility (DLF3000), which is provided on the PM8ECC Technical Library CD-ROM or can be downloaded from the www.powerlogic.com downloads page, then follow the installation instructions. If you need assistance using DLF3000, refer to the Help file.
 

Was this helpful?
What can we do to improve the information ?